Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.plugin
Interface PluginManagerCfg

public interface PluginManagerCfg
extends PluginManager

Configures WebLogic Process Integrator plug-ins. The plug-in configuration manager is responsible for maintaining plug-in configurations, and managing the plug-in framework's cluster-wide state transitions. It also maintains lists of the plug-ins that have registered for various system event notifications.

Since:
  WebLogic Process Integrator version 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginManager`

Method Summary
`void` | `deletePluginConfiguration(java.lang.String pluginName, VersionInfo version)` Delete a plug-in's configuration data.
`void` | `loadPlugin(java.lang.String pluginName, VersionInfo version)` Load and initialize the specified plug-in.
`void` | `onPluginDeployed(Plugin plugin)` Notify the plug-in manager that a plug-in has been hot-deployed.
`void` | `refresh()` Flush cached plug-in capabilities information.
`void` | `setPluginConfiguration(java.lang.String pluginName, VersionInfo version, int startMode, java.lang.String config)` Set a plug-in's configuration data.
`void` | `unloadPlugin(java.lang.String pluginName, VersionInfo version)` Unload and deinitialize specified plug-in.

Methods inherited from interface com.bea.wlpi.server.plugin.PluginManager
`addInstanceListener, addTaskListener, addTemplateDefinitionListener, addTemplateListener, classForName, getActionInfo, getDoneInfo, getEventHandlerInfo, getEventInfo, getFieldInfo, getFrameworkVersion, getFunctionInfo, getHelpSetInfo, getInfoObject, getPlugin, getPluginConfiguration, getPluginObject, getPluginObject, getPluginObject, getPlugins, getStartInfo, getTemplateDefinitionInfo, getTemplateInfo, getVariableTypeInfo, isLoaded, onEvent, removeInstanceListener, removeTaskListener, removeTemplateDefinitionListener, removeTemplateListener`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### onPluginDeployed

    public void onPluginDeployed(Plugin plugin)
                          throws java.rmi.RemoteException,
                                 WorkflowException

  Notify the plug-in manager that a plug-in has been hot-deployed. The implementation initializes and loads the plug-in (unless the plug-in was previously configured as disabled or manually started). This method is idempotent.

  Parameters:
    `plugin` - The plug-in that was deployed.

### refresh

    public void refresh()
                 throws java.rmi.RemoteException,
                        WorkflowException

  Flush cached plug-in capabilities information. Plug-ins can call this method if their capabilities are dynamically configured. Calling this method causes the plug-in managers to re-query all loaded plug-ins and to rebuild their internal plug-in capabilities caches. This is a relatively expensive call to make, so its use should be kept to a minimum. This method is idempotent.

### loadPlugin

    public void loadPlugin(java.lang.String pluginName,
                           VersionInfo version)
                    throws java.rmi.RemoteException,
                           WorkflowException

  Load and initialize the specified plug-in. The plug-in manager merges the capabilities of the plug-in with those of the currently loaded plug-ins. This method is idempotent.

  Parameters:
    `pluginName` - The reverse-DNS plug-in name.
    `version` - The plug-in version required.

### unloadPlugin

    public void unloadPlugin(java.lang.String pluginName,
                             VersionInfo version)
                      throws java.rmi.RemoteException,
                             WorkflowException

  Unload and deinitialize specified plug-in. This method is idempotent.

  Parameters:
    `pluginName` - The reverse-DNS plug-in name.
    `version` - The plug-in version required.

### setPluginConfiguration

    public void setPluginConfiguration(java.lang.String pluginName,
                                       VersionInfo version,
                                       int startMode,
                                       java.lang.String config)
                                throws java.rmi.RemoteException,
                                       WorkflowException

  Set a plug-in's configuration data. This method is idempotent.

  Parameters:
    `pluginName` - The reverse-DNS plug-in name.
    `version` - The plug-in version required.
    `startMode` - Whether and when the plug-in manager starts the plug-in. One of: `PluginConstants.MODE_DISABLED`, `PluginConstants.MODE_AUTOMATIC`, `PluginConstants.MODE_MANUAL`.
    `config` - The plug-in configuration data as an XML document.
  See Also:
    `PluginManager.getPluginConfiguration(java.lang.String, com.bea.wlpi.common.VersionInfo)`

### deletePluginConfiguration

    public void deletePluginConfiguration(java.lang.String pluginName,
                                          VersionInfo version)
                                   throws java.rmi.RemoteException,
                                          WorkflowException

  Delete a plug-in's configuration data. This method is idempotent.

  Parameters:
    `pluginName` - The reverse-DNS plug-in name.
    `version` - The plug-in version required.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)